import {createRouter,createWebHistory} from "vue-router";

const routes = [
    {
        path: '/',
        component: ()=>import('../pages/HomePage.vue')
    },
    {
        path: '/service',
        component: () => import('../pages/Procurement.vue')
    },
    // {
    //     path: '/projectcase/allproject',
    //     component: () => import('../pages/ProjectCase.vue')
    // },
    {
        path: '/projectcase/:name',
        component: () => import('../pages/projectCases.vue')
    },{
        path: '/casedetail',
        component: () => import('../pages/CaseDetails.vue')
    },{
        path: '/contactUs',
        component: () => import('../pages/contactUs.vue')
    }
]

const router = createRouter({
    history: createWebHistory(),
    routes
})

export default router